[darcs-users] MacPorts, darcs 2.4.1 and hashed-storage

Stephen J. Turnbull turnbull at sk.tsukuba.ac.jp
Sat Jun 19 15:38:49 UTC 2010


Eric Kow writes:

 > I'm sure lots of folks appreciate actually being able to build Darcs on
 > MacPorts, but I was wondering if you'd instead submitting an update to
 > get the port building on Darcs 2.4.4 (which requires a version of
 > hashed-storage that in turn requires mmap 0.4)?

That's probably more pain than it's worth.  I've been following this
bug for quite a while, and basically they just don't want to do things
in a way that works for Darcs.  I don't know why; nobody has said
"Port X requires the versions we have" or anything like that, just
that this is the way they're doing things.  Presumably it has
something to do with keeping in tune with Haskell Platform, but I
dunno about that....




More information about the darcs-users mailing list